Warm List

DELETE /public/v1/warmlist/{workspaceId}/prospects/low-icp

Delete all LOW ICP-fit warmlist prospects matching the given filters.

DELETE /public/v1/warmlist/{workspaceId}/prospects/low-icp

DELETE /public/v1/warmlist/{workspaceId}/prospects/low-icp

curl --request DELETE \
  --url 'https://api.joinvalley.co/public/v1/warmlist/{WORKSPACEID}/prospects/low-icp' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "count": 1
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • workspaceId string required

Request Body

application/json
  • engagementType string enum required enum

    Required. One of: NEW_FOLLOWERS, PROFILE_VIEWERS, POST_ENGAGEMENTS. Allowed values: PROFILE_VIEWERS, POST_ENGAGEMENTS, NEW_FOLLOWERS, WEBSITE_INTENT.

  • monitoredProfileId string

    Only for POST_ENGAGEMENTS.

  • postId string

    Only for POST_ENGAGEMENTS.

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • count number